@echo off
set OLDPATH=%PATH%
set PATH=..\bin;%PATH%

echo -----------------------------------------------------------------
type incl.txt
echo -----------------------------------------------------------------
echo Press ENTER to verify the cubical map
pause>nul
echo -----------------------------------------------------------------

chkmvmap incl_f.map incl_x.cub incl_a.cub incl_y.cub incl_b.cub

echo -----------------------------------------------------------------
echo Press ENTER to try computing the index map (this will fail)
pause>nul
echo -----------------------------------------------------------------

homcubes -i incl_f.map incl_x.cub incl_a.cub incl_y.cub incl_b.cub

echo -----------------------------------------------------------------
echo Press ENTER to use the map fixed by lifting cubes to different levels
pause>nul
echo -----------------------------------------------------------------

homcubes -i inclfx_f.map inclfx_x.cub inclfx_a.cub inclfx_y.cub inclfx_b.cub

echo -----------------------------------------------------------------
echo Press ENTER to finish
pause>nul

set PATH=%OLDPATH%
set OLDPATH=
