/// @addtogroup krak
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file ms-win95.h
///
/// @author The CAPD Group
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

// krak/krak.h include for MS WINDOWS 95

#  ifdef LAPTOP
#    define F_HGHT 14
#    define F_WDTH 7
#  else
#    define F_HGHT 22
#    define F_WDTH 13
//#    define F_HGHT 14
//#    define F_WDTH  7
#  endif
#  define MAX_COLOR_NO 256
#  ifndef COLOR256
#    define MAX_PALETTE 16
#    define RAINBOW(x) gray[chomp::min(15,chomp::max(2,(int)(2+(1.-x)*14)))]
#  else
#    define MAX_PALETTE 216
#    define RAINBOW(x) chomp::min(215,chomp::max(16,(int)(16+(1.-x)*200)))
#  endif
#  define main mainEntry
#  define LineTo(i,j) MWLineTo(i,j)

#  define mlalloc malloc
#  define lfree free
#  define SYSTEM "WINDOWS 95"

#  define TAB_KEY 9

#  include <cstdarg>
#  include <stdio.h>
#  include <time.h>
#if defined(BORLAND)
#  include <alloc.h>
#endif
#  include <conio.h>
#  define HDR 800
#  define VDR 600
#  define HG

#  define var_head void *

#  define SC(c,r,g,b) red_c[c]=(BYTE)(255*(r));green_c[c]=(BYTE)(255*(g));blue_c[c]=(BYTE)(255*(b));
#  define COLOR(a) RGB(red_c[a],green_c[a],blue_c[a])
#  define mlalloc malloc
#  define lfree free

#if(!defined(LEFT_TOP_X))
#define LEFT_TOP_X 0
#endif

#if(!defined(LEFT_TOP_Y))
#define LEFT_TOP_Y 0
#endif

/// @}
