/// @addtogroup capd
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file capdlib.h
///
/// @author The CAPD Group
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

#ifndef _CAPDLib_H
#define _CAPDLib_H

#include "capd/krak/krak.h"
#include "capd/interval/doubleInterval.h"
#include "capd/vectalg/vectalglib.h"
#include "capd/map/maplib.h"
#include "capd/dynsys/dynsyslib.h"
#include "capd/dynset/dynsetlib.h"
#include "capd/matrixAlgorithms/matrixAlgorithmslib.h"

#endif

/// @}
