//////////////////////////////////////////////////////////////////////////////
//   Package:          CAPD
//   Subpackage:
/// @addtogroup intervals 
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file intervalSettings.h
///
/// Multi Precision Interval Arithmetics settings file
///
/// @author Tomasz Kapela   @date 11-01-2006
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) Tomasz Kapela 2006
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

#ifndef _MPI_SETTINGS_H_
#define _MPI_SETTINGS_H_

#include "capd/interval/intervalSettings.h"
//////////////////////////////////////////////////////////////////////////////////
// MP INTERVAL SETTINGS
//////////////////////////////////////////////////////////////////////////////////

/// uncomment the following line to check if argumets of functions are Not-a-Number
//#define   __MPI_TEST_NAN__

/// uncomment the following line to check if argumets of functions are equal infinity
//#define   __MPI_TEST_INF__


#endif //_MPI_SETTINGS_H_

/// @}
